Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
[Résolu] Plantage au démarrage : liblua5
#1
Exclamation 
Bonjour à toutes et tous,

Suite à l'installation d'une KUbuntu 16.04.2 sur un nouveau PC, au lancement de DT à partir d'une console j'ai le message suivant :
darktable: error while loading shared libraries: liblua5.2.so.0: cannot open shared object file: No such file or directory Huh


C'est dommage car c'est pour DT que j'ai changé de PC Confused

Si quelqu'un voit comment me dépétrer de ce mauvais pas ...

Merci d'avance !
Répondre
#2
Bonjour

(14/04/17, 21:32)mumu a écrit : Bonjour à toutes et tous,

Suite à l'installation d'une KUbuntu 16.04.2 sur un nouveau PC, au lancement de DT à partir d'une console j'ai le message suivant :
darktable: error while loading shared libraries: liblua5.2.so.0: cannot open shared object file: No such file or directory Huh

C'est une config 64 bits ?

Et dans un terminal, que donne :
Code :
locate liblua5.2.so.0

Sur mon Ubuntu 16.04 :

Code :
/usr/lib/x86_64-linux-gnu/liblua5.2.so.0
/usr/lib/x86_64-linux-gnu/liblua5.2.so.0.0.0

et
Code :
$ ls -al /usr/lib/x86_64-linux-gnu/liblua5.2.so.0
lrwxrwxrwx 1 root root 18 août  26  2016 /usr/lib/x86_64-linux-gnu/liblua5.2.so.0 -> liblua5.2.so.0.0.0
[Image: logo-manu.png]
Répondre
#3
Bonjour Manu et merci pour ton aide Wink

(14/04/17, 22:32)manu a écrit : C'est une config 64 bits ?

Oui en effet, KUbuntu 16.04-2 en 64 bits fraîchement installée.

(14/04/17, 22:32)manu a écrit : Et dans un terminal, que donne :
Code :
locate liblua5.2.so.0

Ca ne donne rien. Visiblement la librairie n'est pas présente

(14/04/17, 22:32)manu a écrit : Sur mon Ubuntu 16.04 :

Code :
/usr/lib/x86_64-linux-gnu/liblua5.2.so.0
/usr/lib/x86_64-linux-gnu/liblua5.2.so.0.0.0

Je remarque qu'à cet emplacement je n'ai pas liblua5.2.so.0 mais liblua5.1.so.0

J'ai essayé de faire
Code :
sudo apt install liblua5.2.so.0
Mais je n'ai en retour que : "impossible de trouver le paquet" ...
Répondre
#4
Tu devrais trouver la librairie : http://packages.ubuntu.com/trusty/amd64/liblua5.2-0
Répondre
#5
(15/04/17, 08:44)jpg54 a écrit : Tu devrais trouver la librairie : http://packages.ubuntu.com/trusty/amd64/liblua5.2-0

En effet ... et ça marche après installation de la librairie ! Big Grin

Pourquoi n'y avais-je pas pensé plutôt ??? Huh

J'ai perdu mes habitudes de bidouilles ... je n'avais plus eu de problème d'installation depuis plusieurs années ...

En tout cas un grand merci à vous deux !
Répondre
#6
(15/04/17, 08:44)jpg54 a écrit : Tu devrais trouver la librairie : http://packages.ubuntu.com/trusty/amd64/liblua5.2-0

Peut-être plutôt http://packages.ubuntu.com/xenial/amd64/liblua5.2-0 s'agissant de la 16.04...

Mais sinon ?

Code :
sudo apt-get install lua5.2
[Image: logo-manu.png]
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)